## debian-cloud-images 0.0.1

=== Makefile ===
# path to the config space shoud be absolute, see fai.conf(5)
BUILDER_IMG = http://cdimage.debian.org/cdimage/openstack/current-9/debian-9-openstack-amd64.qcow2

help:
	@echo "To run this makefile, run:"
	@echo "   make <DIST>-image-<CLOUD>"
	@echo "  WHERE <DIST> is buster or stretch"
	@echo "    And <CLOUD> is azure, ec2, gce, openstack"

_image.raw:
	umask 022; \
	sudo bin/build $(DIST) $(CLOUD) amd64 $(CLOUD)-$(DIST)-image dev

sid-image-%:
	${MAKE} _image.raw CLOUD=$* DIST=sid

buster-image-%:
	${MAKE} _image.raw CLOUD=$* DIST=buster

stretch-image-%:
	${MAKE} _image.raw CLOUD=$* DIST=stretch


kvm-%:
	bin/launch_kvm.sh --id $*-$(shell date +%s) \
		--target $* \
		--img-url $(BUILDER_IMG)

clean: cleanall

cleanall:
	rm -rf *.raw *vhd

=== debian/changelog ===
debian-cloud-images (0.0.1) unstable; urgency=medium

  * Initial package (Closes: #910706).

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Oct 2018 22:42:14 +0200

=== debian/control ===
Source: debian-cloud-images
Section: web
Priority: optional
Maintainer: Debian Cloud Team <team+cloud@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/cloud-team/debian/debian-cloud-images
Vcs-Git: https://salsa.debian.org/cloud-team/debian/debian-cloud-images.git
Homepage: https://salsa.debian.org/cloud-team/debian/debian-cloud-images

Package: debian-cloud-images
Architecture: all
Depends:
 fai-server,
 fai-setup-storage,
 qemu-utils,
 ${python3:Depends},
 ${misc:Depends},
Description: tool used by the Debian Cloud Team to create official cloud images
 This package contains a script which is used by the Debian Cloud Team to
 generate the official Debian Cloud images for different providers. Currently
 supported clouds are:
  * AWS (amd64)
  * Azure (amd64)
  * GCE (amd64)
  * OpenStack (amd64, arm64)
  * helpful for creating images to be used

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_build:
	echo "Nothing..."

override_dh_auto_clean:
	echo "Nothing..."

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/debian-cloud-images/usr/sbin
	cp $(CURDIR)/bin/build $(CURDIR)/debian/debian-cloud-images/usr/sbin/debian-cloud-images

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## debian-cloud-images 0.0.1+nmu1

=== debian/changelog ===
debian-cloud-images (0.0.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:13:11 +0800

## debian-cloud-images 0.0.3

=== Makefile ===
# path to the config space shoud be absolute, see fai.conf(5)

DESTDIR = .

help:
	@echo "To run this makefile, run:"
	@echo "   make image-<DIST>-<CLOUD>-<ARCH>"
	@echo "  WHERE <DIST> is bullseye, buster, stretch or sid"
	@echo "    And <CLOUD> is azure, ec2, gce, generic, genericcloud, nocloud"
	@echo "    And <ARCH> is amd64, arm64, ppc64el"
	@echo "Set DESTDIR= to write images to given directory."

image-%:
	umask 022; \
	sudo ./bin/debian-cloud-images build \
	  $(subst -, ,$*) \
	  --build-id manual \
	  --version $(shell date '+%Y%m%d%H%M') \
	  --localdebs \
	  --output $(DESTDIR) \
	  --override-name image-$*

clean:
	rm -rf image-*.*

=== debian/changelog ===
debian-cloud-images (0.0.3) unstable; urgency=medium

  * Fix Vcs links in debian/control
  * Add lintian overrides for issues within the FAI config space.

 -- Noah Meyerhans <noahm@debian.org>  Wed, 08 Jan 2020 11:05:46 -0800

debian-cloud-images (0.0.2) unstable; urgency=medium

  * New release snapshot includes the official buster release support.
  * Update package description in debian/control. (Closes: #935906)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 06 Jan 2020 12:42:32 -0800

=== debian/control ===
Source: debian-cloud-images
Section: web
Priority: optional
Maintainer: Debian Cloud Team <team+cloud@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Noah Meyerhans <noahm@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3,
 python3-libcloud,
 python3-marshmallow,
 python3-pytest,
 python3-pytest-runner,
 python3-setuptools,
 qemu-utils,
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/cloud-team/debian-cloud-images
Vcs-Git: https://salsa.debian.org/cloud-team/debian-cloud-images.git
Homepage: https://salsa.debian.org/cloud-team/debian-cloud-images

Package: debian-cloud-images
Architecture: all
Depends:
 fai-server (>= 5.7),
 fai-client (>= 5.7),
 fai-setup-storage,
 qemu-utils,
 ${python3:Depends},
 ${misc:Depends},
Description: tool used by the Debian Cloud Team to create official cloud images
 This package contains a script which is used by the Debian Cloud Team
 to generate the official Debian Cloud images for various cloud
 service providers. It also can be useful to create customized
 derivative images, or as a tool for the generation of general-purpose
 virtual machine images.
 .
 Currently supported cloud services are:
  * Amazon EC2 (AWS)
  * Microsoft Azure
  * Google Compute Engine (GCE)
  * OpenStack

Package: debian-cloud-images-packages
Architecture: amd64 arm64 ppc64el
Depends:
 ${debian-cloud-images-packages:Depends},
 ${misc:Depends},
Description: List of packages the Debian cloud images needs
 This empty package contains dependencies on all packages the cloud images
 need.  It helps the release team to make sure those packages are available.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem pybuild --with python3

override_dh_auto_install:
	dh_auto_install --destdir=debian/debian-cloud-images

override_dh_gencontrol:
	dh_gencontrol -- \
		"-Vdebian-cloud-images-packages:Depends=$(shell debian/bin/packages-depends)"

## debian-cloud-images 0.0.6

=== debian/changelog ===
debian-cloud-images (0.0.6) unstable; urgency=medium

  * Restrict vendor packages by architecture.
  * Workaround piuparts choking.

 -- Bastian Blank <waldi@debian.org>  Sat, 14 May 2022 12:42:45 +0200

debian-cloud-images (0.0.5) unstable; urgency=medium

  * Only build dependency package.
  * Include more package dependencies.

 -- Bastian Blank <waldi@debian.org>  Fri, 13 May 2022 21:23:05 +0200

debian-cloud-images (0.0.4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.2.1, no changes needed.

  [ Bastian Blank ]
  * Add base implementation for public images
  * Add image writing to public images
  * Use new public images for uploading
  * Move pre-existing versions out of the way
  * Record digest of public images
  * Write per-version file with sha512 checksums
  * Handle temporary directory ourselves
  * Set permissions for all files in public upload

  [ Noah Meyerhans ]
  * Install amazon-ec2-utils on bullsye and sid EC2 AMIs
  * Remount root rw before running systemd-growfs
  * makefile: fix clean rule

  [ Bastian Blank ]
  * Don't longer install python on Bullseye
  * Use new qcow2 compatibility
  * Test package on Bullseye
  * Disable FAI ramdisk handling
  * Override mount handling
  * Check for empty /proc, /run and /sys
  * Drop support for Stretch
  * Make sure we actually run apt-get update
  * Only apply io scheduler settings on Buster
  * Don't override disk scheduler with only value

  [ Noah Meyerhans ]
  * [arm64] enable the use of the cloud kernel with buster-backports
  * Add ec2 buster-backports builds to salsa pipeline cfg

  [ Bastian Blank ]
  * Add skeleton new Azure Partner image support
  * Add base new Azure Partner cleanup support
  * Prepare commit of Azure Partner offer
  * Support commit of Azure Partner offer

  [ Sven Bartscher ]
  * Install resolvconf in GENERIC images
  * Keep /etc/resolv.conf if it links to resolvconf
  * Test absence or symlink state of /etc/resolv.conf

  [ Bastian Blank ]
  * Use cloud-init on Azure
  * Also disable cloud-init network on Azure

  [ Noah Meyerhans ]
  * Enable EXTRAS for bullseye
  * Call dist-upgrade in hooks/updatebase

  [ Zach Marano ]
  * Enable fsck checks on the root filesystem.

  [ Bastian Blank ]
  * Fix flake8 failures
  * Run tests with Buster and Bullseye
  * Run all Bullseye and Sid builds on Bullseye
  * Run uploads on Bullseye
  * Make sure we have sfdisk available
  * Make sure binfmt-support can work
  * Install all Python modules for mypy to check
  * Ask mypy to read all namespace packages
  * Add support for Azure auth via az tool
  * Allow Azure auth against subscription alone
  * Allow Azure usage without service account
  * Pull in new hyperv-daemons package
  * Drop all the unused debconf definitions

  [ Zach Marano ]
  * Update the google packages keyring.

  [ Bastian Blank ]
  * Remove old Vagrant stuff
  * Drop all support for grub-pc
  * Use modern xunit2 format for test result
  * Support EC2 token auth
  * Add image version abstraction
  * Remove not required comparison
  * Add EC2 cleanup support

 -- Noah Meyerhans <noahm@debian.org>  Fri, 12 Mar 2021 10:45:56 -0800

=== debian/control ===
Source: debian-cloud-images
Section: web
Priority: optional
Maintainer: Debian Cloud Team <team+cloud@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Noah Meyerhans <noahm@debian.org>,
 Bastian Blank <waldi@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
Standards-Version: 4.2.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/cloud-team/debian-cloud-images/tree/master/package
Vcs-Git: https://salsa.debian.org/cloud-team/debian-cloud-images.git [package]
Homepage: https://salsa.debian.org/cloud-team/debian-cloud-images

Package: debian-cloud-images-packages
Architecture: amd64 arm64 ppc64el
Depends:
 ${debian-cloud-images-packages:Depends},
 ${misc:Depends},
Description: List of packages the Debian cloud images needs
 This empty package contains dependencies on all packages the cloud images
 need.  It helps the release team to make sure those packages are available.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

update: debian/source.substvars
	@true

debian/source.substvars:
	debian/bin/make-substvars > debian/source.substvars

override_dh_gencontrol:
	dh_gencontrol -- -Tdebian/source.substvars

.PHONY: debian/source.substvars

## debian-cloud-images 0.0.8

=== debian/changelog ===
debian-cloud-images (0.0.8) unstable; urgency=medium

  * Remove dependencies on conflicting packages.  (closes: #1062955)

 -- Bastian Blank <waldi@debian.org>  Thu, 08 Feb 2024 08:02:37 +0100

debian-cloud-images (0.0.7) unstable; urgency=medium

  [ Debian Janitor ]
  * Move source package lintian overrides to debian/source.
  * Bump debhelper from old 12 to 13.

  [ Noah Meyerhans ]
  * Drop obsolete python3-boto dependency (Closes: #1062047)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 02 Feb 2024 10:57:53 -0800

## debian-cloud-images 0.0.9

=== debian/changelog ===
debian-cloud-images (0.0.9) unstable; urgency=medium

  * Drop Google Cloud packages.
  * Add riscv64 packages.

 -- Bastian Blank <waldi@debian.org>  Thu, 02 Jan 2025 11:54:13 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Noah Meyerhans <noahm@debian.org>,
  Bastian Blank <waldi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
 Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/cloud-team/debian-cloud-images/tree/master/package

## debian-cloud-images 0.0.9+kali1

=== debian/changelog ===
debian-cloud-images (0.0.9+kali1) kali-dev; urgency=medium

  * Remove dep grub-efi-arm64-signed in kali

 -- Sophie Brun <sophie@kali.org>  Tue, 13 Jan 2026 17:04:16 +0100
